Skip to main content

Fetch Drug Set

Retrieve the list of drugs associated with the designated pharmacy drug sets by using the drug set id provided in the parameters and ensuring the presence of a valid token in the headers.

Demo Curl​

curl --location 'https://demo.hng.one/developerapi/mmu/pharmacy-drug-sets?drugSetId=<<drugSetId>>' \
--header 'Authorization: Bearer <<TOKEN>>'

Prod Curl​

curl --location 'https://aths.hng.one/developerapi/mmu/pharmacy-drug-sets?drugSetId=<<drugSetId>>' \
--header 'Authorization: Bearer <<TOKEN>>'

Sample Responce​

You will receive a response similar to below

{
"code": "Ok",
"message": "Pharmacy Drug Set obtained successfully",
"data": [
{
"id": 1,
"attributes": {
"drugSetName": "<<drugSetName>>",
"drugSetId": "<<drugSetId>>",
"createdAt": "2023-02-20T12:58:05.931Z",
"updatedAt": "2024-04-22T11:42:14.992Z",
"publishedAt": "2023-02-20T13:07:14.696Z",
"drugs": [
{
"id": 1,
"brandName": "<<brandName>>",
"genericName": "<<genericName>>",
"commonName": "<<commonName>>",
"strength": "<<strength>>",
"routeOfAdministration": "<<routeOfAdministration>>",
"doseForm": "Tablet",
"duration": 10,
"durationType": "QTY"
}
]
}
}
]
}